Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.png
Interface PNGConstants

All Known Implementing Classes:
  PNGEncoder, png_chunk_trns

public abstract interface PNGConstants

Useful constants for encoding and decoding images to and from the PNG file format. These constants are from the png.c, png.h and pngconf.h files from libpng. Practically all constants are here even if the Java implementation does not yet use all of them.

Field Summary
`static int` | `MAX_PALETTE` The maximum number of colors in a color palette.
`static int` | `PNG_16_TO_8`
`static int` | `PNG_AFTER_IDAT`
`static int` | `PNG_ALL_FILTERS`
`static int` | `PNG_BACKGROUND`
`static int` | `PNG_BACKGROUND_EXPAND`
`static int` | `PNG_BEFORE_IHDR` Various modes of operation.
`static int` | `PNG_BGR` flags for the transformations the PNG library does on the image data
`static byte[]` | `png_bKGD`
`static byte[]` | `png_cHRM`
`static byte` | `PNG_COLOR_MASK_ALPHA`
`static byte` | `PNG_COLOR_MASK_COLOR`
`static byte` | `PNG_COLOR_MASK_PALETTE` color type masks
`static byte` | `PNG_COLOR_TYPE_GRAY` color types.
`static byte` | `PNG_COLOR_TYPE_GRAY_ALPHA`
`static byte` | `PNG_COLOR_TYPE_PALETTE`
`static byte` | `PNG_COLOR_TYPE_RGB`
`static byte` | `PNG_COLOR_TYPE_RGB_ALPHA`
`static byte` | `PNG_COMPRESSION_TYPE_BASE` Deflate method 8, 32K window
`static byte` | `PNG_COMPRESSION_TYPE_DEFAULT`
`static int` | `PNG_COST_FACTOR`
`static int` | `PNG_COST_SHIFT`
`static int` | `PNG_CRC_DEFAULT` Values for png_set_crc_action() to say how to handle CRC errors in ancillary and critical chunks, and whether to use the data contained therein.
`static int` | `PNG_CRC_ERROR_QUIT`
`static int` | `PNG_CRC_NO_CHANGE`
`static int` | `PNG_CRC_QUIET_USE`
`static int` | `PNG_CRC_WARN_DISCARD`
`static int` | `PNG_CRC_WARN_USE`
`static int` | `PNG_DITHER`
`static byte` | `PNG_EQUATION_ARBITRARY` Arbitrary base exponential transform
`static byte` | `PNG_EQUATION_BASE_E` Exponential base e transform
`static byte` | `PNG_EQUATION_HYPERBOLIC` Hyperbolic sine transformation
`static byte` | `PNG_EQUATION_LAST` Not a valid value
`static byte` | `PNG_EQUATION_LINEAR` Linear transformation
`static int` | `PNG_ERROR_MODE`
`static int` | `PNG_EXPAND`
`static int` | `PNG_FILLER`
`static int` | `PNG_FILTER_AVG`
`static int` | `PNG_FILTER_HEURISTIC_DEFAULT` Heuristic used for row filter selection.
`static int` | `PNG_FILTER_HEURISTIC_LAST`
`static int` | `PNG_FILTER_HEURISTIC_UNWEIGHTED`
`static int` | `PNG_FILTER_HEURISTIC_WEIGHTED`
`static int` | `PNG_FILTER_NONE`
`static int` | `PNG_FILTER_PAETH`
`static int` | `PNG_FILTER_SUB`
`static byte` | `PNG_FILTER_TYPE_BASE` Single row per-byte filtering
`static byte` | `PNG_FILTER_TYPE_DEFAULT`
`static int` | `PNG_FILTER_UP`
`static byte` | `PNG_FILTER_VALUE_AVG`
`static byte` | `PNG_FILTER_VALUE_LAST`
`static byte` | `PNG_FILTER_VALUE_NONE` Filter values (not flags) - used in pngwrite.c, pngwutil.c for now.
`static byte` | `PNG_FILTER_VALUE_PAETH`
`static byte` | `PNG_FILTER_VALUE_SUB`
`static byte` | `PNG_FILTER_VALUE_UP`
`static int` | `PNG_FLAG_CRC_ANCILLARY_MASK`
`static int` | `PNG_FLAG_CRC_ANCILLARY_NOWARN`
`static int` | `PNG_FLAG_CRC_ANCILLARY_USE`
`static int` | `PNG_FLAG_CRC_CRITICAL_IGNORE`
`static int` | `PNG_FLAG_CRC_CRITICAL_MASK`
`static int` | `PNG_FLAG_CRC_CRITICAL_USE`
`static int` | `PNG_FLAG_CRC_MASK`
`static int` | `PNG_FLAG_FILLER_AFTER`
`static int` | `PNG_FLAG_FREE_HIST`
`static int` | `PNG_FLAG_FREE_PALETTE`
`static int` | `PNG_FLAG_FREE_TRANS`
`static int` | `PNG_FLAG_HAVE_CHUNK_HEADER`
`static int` | `PNG_FLAG_ROW_INIT`
`static int` | `PNG_FLAG_WROTE_tIME`
`static int` | `PNG_FLAG_ZLIB_CUSTOM_LEVEL`
`static int` | `PNG_FLAG_ZLIB_CUSTOM_MEM_LEVEL`
`static int` | `PNG_FLAG_ZLIB_CUSTOM_METHOD`
`static int` | `PNG_FLAG_ZLIB_CUSTOM_STRATEGY`
`static int` | `PNG_FLAG_ZLIB_CUSTOM_WINDOW_BITS`
`static int` | `PNG_FLAG_ZLIB_FINISHED`
`static byte[]` | `png_gAMA`
`static int` | `PNG_GAMMA`
`static int` | `PNG_GRAY_TO_RGB`
`static int` | `PNG_HAVE_IDAT`
`static int` | `PNG_HAVE_IEND`
`static int` | `PNG_HAVE_IHDR`
`static int` | `PNG_HAVE_PLTE`
`static byte[]` | `png_hIST`
`static byte[]` | `png_IDAT`
`static byte[]` | `png_IEND`
`static byte[]` | `png_IHDR` constant strings for known chunk types.
`static int` | `png_IHDR_len`
`static int` | `PNG_INFO_bKGD`
`static int` | `PNG_INFO_cHRM`
`static int` | `PNG_INFO_gAMA` These determine if an ancillary chunk's data has been successfully read from the PNG header, or if the application has filled in the corresponding data in the info_struct to be written into the output file.
`static int` | `PNG_INFO_hIST`
`static int` | `PNG_INFO_oFFs`
`static int` | `PNG_INFO_pCAL`
`static int` | `PNG_INFO_pHYs`
`static int` | `PNG_INFO_PLTE`
`static int` | `PNG_INFO_sBIT`
`static int` | `PNG_INFO_tIME`
`static int` | `PNG_INFO_tRNS`
`static int` | `PNG_INTERLACE`
`static byte` | `PNG_INTERLACE_ADAM7` Adam7 interlacing
`static byte` | `PNG_INTERLACE_LAST` Not a valid value
`static byte` | `PNG_INTERLACE_NONE` Non-interlaced image
`static int` | `PNG_INVERT_MONO`
`static int` | `PNG_LIBPNG_VER`
`static java.lang.String` | `PNG_LIBPNG_VER_STRING`
`static int` | `PNG_NO_FILTERS` Flags for png_set_filter() to say which filters to use.
`static byte[]` | `png_oFFs`
`static byte` | `PNG_OFFSET_LAST` Not a valid value
`static byte` | `PNG_OFFSET_MICROMETER` Offset in micrometers (1/10^6 meter)
`static byte` | `PNG_OFFSET_PIXEL` Offset in pixels
`static int` | `PNG_PACK`
`static int` | `PNG_PACKSWAP`
`static int[]` | `png_pass_dsp_mask` mask to determine which pixels to overwrite while displaying
`static int[]` | `png_pass_inc` offset to next interlace block
`static int[]` | `png_pass_mask` mask to determine which pixels are valid in a pass
`static int[]` | `png_pass_start` start of interlace block
`static int[]` | `png_pass_yinc` offset to next interlace block in the y direction
`static int[]` | `png_pass_ystart` start of interlace block in the y direction
`static byte[]` | `png_pCAL`
`static byte[]` | `png_pHYs`
`static byte[]` | `png_PLTE`
`static int` | `PNG_READ_CHUNK_MODE`
`static int` | `PNG_READ_DONE_MODE`
`static int` | `PNG_READ_IDAT_MODE`
`static int` | `PNG_READ_SIG_MODE` push model modes
`static int` | `PNG_READ_tEXt_MODE`
`static int` | `PNG_READ_zTXt_MODE`
`static byte` | `PNG_RESOLUTION_LAST` Not a valid value
`static byte` | `PNG_RESOLUTION_METER` pixels/meter
`static byte` | `PNG_RESOLUTION_UNKNOWN` pixels/unknown unit (aspect ratio)
`static int` | `PNG_RGB_TO_GRAY`
`static int` | `PNG_RGBA`
`static byte[]` | `png_sBIT`
`static int` | `PNG_SHIFT`
`static byte[]` | `png_sig` place to hold the signature string for a png file.
`static int` | `PNG_SKIP_MODE`
`static int` | `PNG_STRIP_ALPHA`
`static int` | `PNG_STRUCT_INFO`
`static int` | `PNG_STRUCT_PNG` flags for png_create_struct
`static int` | `PNG_SWAP_ALPHA`
`static int` | `PNG_SWAP_BYTES`
`static byte[]` | `png_tEXt`
`static byte` | `PNG_TEXT_COMPRESSION_LAST`
`static byte` | `PNG_TEXT_COMPRESSION_NONE`
`static byte` | `PNG_TEXT_COMPRESSION_NONE_WR` Supported compression types for text in PNG files (tEXt, and zTXt).
`static byte` | `PNG_TEXT_COMPRESSION_zTXt`
`static byte` | `PNG_TEXT_COMPRESSION_zTXt_WR`
`static byte[]` | `png_tIME`
`static byte[]` | `png_tRNS`
`static int` | `PNG_WEIGHT_FACTOR`
`static int` | `PNG_WEIGHT_SHIFT` Scaling factor for filter heuristic weighting calculations
`static int` | `PNG_ZBUF_SIZE` This is the size of the compression buffer, and thus the size of an IDAT chunk.
`static byte[]` | `png_zTXt`

Field Detail

### PNG_LIBPNG_VER_STRING

    public static final java.lang.String PNG_LIBPNG_VER_STRING

### PNG_LIBPNG_VER

    public static final int PNG_LIBPNG_VER

### png_sig

    public static final byte[] png_sig

  place to hold the signature string for a png file.

### png_pass_start

    public static final int[] png_pass_start

  start of interlace block

### png_pass_inc

    public static final int[] png_pass_inc

  offset to next interlace block

### png_pass_ystart

    public static final int[] png_pass_ystart

  start of interlace block in the y direction

### png_pass_yinc

    public static final int[] png_pass_yinc

  offset to next interlace block in the y direction

### png_pass_mask

    public static final int[] png_pass_mask

  mask to determine which pixels are valid in a pass

### png_pass_dsp_mask

    public static final int[] png_pass_dsp_mask

  mask to determine which pixels to overwrite while displaying

### PNG_TEXT_COMPRESSION_NONE_WR

    public static final byte PNG_TEXT_COMPRESSION_NONE_WR

  Supported compression types for text in PNG files (tEXt, and zTXt). The values of the PNG_TEXT_COMPRESSION_ defines should NOT be changed.

### PNG_TEXT_COMPRESSION_zTXt_WR

    public static final byte PNG_TEXT_COMPRESSION_zTXt_WR

### PNG_TEXT_COMPRESSION_NONE

    public static final byte PNG_TEXT_COMPRESSION_NONE

### PNG_TEXT_COMPRESSION_zTXt

    public static final byte PNG_TEXT_COMPRESSION_zTXt

### PNG_TEXT_COMPRESSION_LAST

    public static final byte PNG_TEXT_COMPRESSION_LAST

### PNG_COLOR_MASK_PALETTE

    public static final byte PNG_COLOR_MASK_PALETTE

  color type masks

### PNG_COLOR_MASK_COLOR

    public static final byte PNG_COLOR_MASK_COLOR

### PNG_COLOR_MASK_ALPHA

    public static final byte PNG_COLOR_MASK_ALPHA

### PNG_COLOR_TYPE_GRAY

    public static final byte PNG_COLOR_TYPE_GRAY

  color types. Note that not all combinations are legal

### PNG_COLOR_TYPE_PALETTE

    public static final byte PNG_COLOR_TYPE_PALETTE

### PNG_COLOR_TYPE_RGB

    public static final byte PNG_COLOR_TYPE_RGB

### PNG_COLOR_TYPE_RGB_ALPHA

    public static final byte PNG_COLOR_TYPE_RGB_ALPHA

### PNG_COLOR_TYPE_GRAY_ALPHA

    public static final byte PNG_COLOR_TYPE_GRAY_ALPHA

### PNG_COMPRESSION_TYPE_BASE

    public static final byte PNG_COMPRESSION_TYPE_BASE

  Deflate method 8, 32K window

### PNG_COMPRESSION_TYPE_DEFAULT

    public static final byte PNG_COMPRESSION_TYPE_DEFAULT

### PNG_FILTER_TYPE_BASE

    public static final byte PNG_FILTER_TYPE_BASE

  Single row per-byte filtering

### PNG_FILTER_TYPE_DEFAULT

    public static final byte PNG_FILTER_TYPE_DEFAULT

### PNG_INTERLACE_NONE

    public static final byte PNG_INTERLACE_NONE

  Non-interlaced image

### PNG_INTERLACE_ADAM7

    public static final byte PNG_INTERLACE_ADAM7

  Adam7 interlacing

### PNG_INTERLACE_LAST

    public static final byte PNG_INTERLACE_LAST

  Not a valid value

### PNG_OFFSET_PIXEL

    public static final byte PNG_OFFSET_PIXEL

  Offset in pixels

### PNG_OFFSET_MICROMETER

    public static final byte PNG_OFFSET_MICROMETER

  Offset in micrometers (1/10^6 meter)

### PNG_OFFSET_LAST

    public static final byte PNG_OFFSET_LAST

  Not a valid value

### PNG_EQUATION_LINEAR

    public static final byte PNG_EQUATION_LINEAR

  Linear transformation

### PNG_EQUATION_BASE_E

    public static final byte PNG_EQUATION_BASE_E

  Exponential base e transform

### PNG_EQUATION_ARBITRARY

    public static final byte PNG_EQUATION_ARBITRARY

  Arbitrary base exponential transform

### PNG_EQUATION_HYPERBOLIC

    public static final byte PNG_EQUATION_HYPERBOLIC

  Hyperbolic sine transformation

### PNG_EQUATION_LAST

    public static final byte PNG_EQUATION_LAST

  Not a valid value

### PNG_RESOLUTION_UNKNOWN

    public static final byte PNG_RESOLUTION_UNKNOWN

  pixels/unknown unit (aspect ratio)

### PNG_RESOLUTION_METER

    public static final byte PNG_RESOLUTION_METER

  pixels/meter

### PNG_RESOLUTION_LAST

    public static final byte PNG_RESOLUTION_LAST

  Not a valid value

### PNG_INFO_gAMA

    public static final int PNG_INFO_gAMA

  These determine if an ancillary chunk's data has been successfully read from the PNG header, or if the application has filled in the corresponding data in the info_struct to be written into the output file. The values of the PNG_INFO_ defines should NOT be changed.

### PNG_INFO_sBIT

    public static final int PNG_INFO_sBIT

### PNG_INFO_cHRM

    public static final int PNG_INFO_cHRM

### PNG_INFO_PLTE

    public static final int PNG_INFO_PLTE

### PNG_INFO_tRNS

    public static final int PNG_INFO_tRNS

### PNG_INFO_bKGD

    public static final int PNG_INFO_bKGD

### PNG_INFO_hIST

    public static final int PNG_INFO_hIST

### PNG_INFO_pHYs

    public static final int PNG_INFO_pHYs

### PNG_INFO_oFFs

    public static final int PNG_INFO_oFFs

### PNG_INFO_tIME

    public static final int PNG_INFO_tIME

### PNG_INFO_pCAL

    public static final int PNG_INFO_pCAL

### PNG_CRC_DEFAULT

    public static final int PNG_CRC_DEFAULT

  Values for png_set_crc_action() to say how to handle CRC errors in ancillary and critical chunks, and whether to use the data contained therein. Note that it is impossible to "discard" data in a critical chunk. For versions prior to 0.90, the action was always error/quit, whereas in version 0.90 and later, the action for CRC errors in ancillary chunks is warn/discard. These values should NOT be changed. value action:critical action:ancillary

### PNG_CRC_ERROR_QUIT

    public static final int PNG_CRC_ERROR_QUIT

### PNG_CRC_WARN_DISCARD

    public static final int PNG_CRC_WARN_DISCARD

### PNG_CRC_WARN_USE

    public static final int PNG_CRC_WARN_USE

### PNG_CRC_QUIET_USE

    public static final int PNG_CRC_QUIET_USE

### PNG_CRC_NO_CHANGE

    public static final int PNG_CRC_NO_CHANGE

### PNG_NO_FILTERS

    public static final int PNG_NO_FILTERS

  Flags for png_set_filter() to say which filters to use. The flags are chosen so that they don't conflict with real filter types below, in case they are supplied instead of the #defined constants. These values should NOT be changed.

### PNG_FILTER_NONE

    public static final int PNG_FILTER_NONE

### PNG_FILTER_SUB

    public static final int PNG_FILTER_SUB

### PNG_FILTER_UP

    public static final int PNG_FILTER_UP

### PNG_FILTER_AVG

    public static final int PNG_FILTER_AVG

### PNG_FILTER_PAETH

    public static final int PNG_FILTER_PAETH

### PNG_ALL_FILTERS

    public static final int PNG_ALL_FILTERS

### PNG_FILTER_VALUE_NONE

    public static final byte PNG_FILTER_VALUE_NONE

  Filter values (not flags) - used in pngwrite.c, pngwutil.c for now. These defines should NOT be changed.

### PNG_FILTER_VALUE_SUB

    public static final byte PNG_FILTER_VALUE_SUB

### PNG_FILTER_VALUE_UP

    public static final byte PNG_FILTER_VALUE_UP

### PNG_FILTER_VALUE_AVG

    public static final byte PNG_FILTER_VALUE_AVG

### PNG_FILTER_VALUE_PAETH

    public static final byte PNG_FILTER_VALUE_PAETH

### PNG_FILTER_VALUE_LAST

    public static final byte PNG_FILTER_VALUE_LAST

### PNG_FILTER_HEURISTIC_DEFAULT

    public static final int PNG_FILTER_HEURISTIC_DEFAULT

  Heuristic used for row filter selection. These defines should NOT be changed.

### PNG_FILTER_HEURISTIC_UNWEIGHTED

    public static final int PNG_FILTER_HEURISTIC_UNWEIGHTED

### PNG_FILTER_HEURISTIC_WEIGHTED

    public static final int PNG_FILTER_HEURISTIC_WEIGHTED

### PNG_FILTER_HEURISTIC_LAST

    public static final int PNG_FILTER_HEURISTIC_LAST

### PNG_BEFORE_IHDR

    public static final int PNG_BEFORE_IHDR

  Various modes of operation. Note that after an init, mode is set to zero automatically when the structure is created.

### PNG_HAVE_IHDR

    public static final int PNG_HAVE_IHDR

### PNG_HAVE_PLTE

    public static final int PNG_HAVE_PLTE

### PNG_HAVE_IDAT

    public static final int PNG_HAVE_IDAT

### PNG_AFTER_IDAT

    public static final int PNG_AFTER_IDAT

### PNG_HAVE_IEND

    public static final int PNG_HAVE_IEND

### PNG_READ_SIG_MODE

    public static final int PNG_READ_SIG_MODE

  push model modes

### PNG_READ_CHUNK_MODE

    public static final int PNG_READ_CHUNK_MODE

### PNG_READ_IDAT_MODE

    public static final int PNG_READ_IDAT_MODE

### PNG_SKIP_MODE

    public static final int PNG_SKIP_MODE

### PNG_READ_tEXt_MODE

    public static final int PNG_READ_tEXt_MODE

### PNG_READ_zTXt_MODE

    public static final int PNG_READ_zTXt_MODE

### PNG_READ_DONE_MODE

    public static final int PNG_READ_DONE_MODE

### PNG_ERROR_MODE

    public static final int PNG_ERROR_MODE

### PNG_BGR

    public static final int PNG_BGR

  flags for the transformations the PNG library does on the image data

### PNG_INTERLACE

    public static final int PNG_INTERLACE

### PNG_PACK

    public static final int PNG_PACK

### PNG_SHIFT

    public static final int PNG_SHIFT

### PNG_SWAP_BYTES

    public static final int PNG_SWAP_BYTES

### PNG_INVERT_MONO

    public static final int PNG_INVERT_MONO

### PNG_DITHER

    public static final int PNG_DITHER

### PNG_BACKGROUND

    public static final int PNG_BACKGROUND

### PNG_BACKGROUND_EXPAND

    public static final int PNG_BACKGROUND_EXPAND

### PNG_RGB_TO_GRAY

    public static final int PNG_RGB_TO_GRAY

### PNG_16_TO_8

    public static final int PNG_16_TO_8

### PNG_RGBA

    public static final int PNG_RGBA

### PNG_EXPAND

    public static final int PNG_EXPAND

### PNG_GAMMA

    public static final int PNG_GAMMA

### PNG_GRAY_TO_RGB

    public static final int PNG_GRAY_TO_RGB

### PNG_FILLER

    public static final int PNG_FILLER

### PNG_PACKSWAP

    public static final int PNG_PACKSWAP

### PNG_SWAP_ALPHA

    public static final int PNG_SWAP_ALPHA

### PNG_STRIP_ALPHA

    public static final int PNG_STRIP_ALPHA

### PNG_STRUCT_PNG

    public static final int PNG_STRUCT_PNG

  flags for png_create_struct

### PNG_STRUCT_INFO

    public static final int PNG_STRUCT_INFO

### PNG_WEIGHT_SHIFT

    public static final int PNG_WEIGHT_SHIFT

  Scaling factor for filter heuristic weighting calculations

### PNG_WEIGHT_FACTOR

    public static final int PNG_WEIGHT_FACTOR

### PNG_COST_SHIFT

    public static final int PNG_COST_SHIFT

### PNG_COST_FACTOR

    public static final int PNG_COST_FACTOR

### PNG_FLAG_ZLIB_CUSTOM_STRATEGY

    public static final int PNG_FLAG_ZLIB_CUSTOM_STRATEGY

### PNG_FLAG_ZLIB_CUSTOM_LEVEL

    public static final int PNG_FLAG_ZLIB_CUSTOM_LEVEL

### PNG_FLAG_ZLIB_CUSTOM_MEM_LEVEL

    public static final int PNG_FLAG_ZLIB_CUSTOM_MEM_LEVEL

### PNG_FLAG_ZLIB_CUSTOM_WINDOW_BITS

    public static final int PNG_FLAG_ZLIB_CUSTOM_WINDOW_BITS

### PNG_FLAG_ZLIB_CUSTOM_METHOD

    public static final int PNG_FLAG_ZLIB_CUSTOM_METHOD

### PNG_FLAG_ZLIB_FINISHED

    public static final int PNG_FLAG_ZLIB_FINISHED

### PNG_FLAG_ROW_INIT

    public static final int PNG_FLAG_ROW_INIT

### PNG_FLAG_FILLER_AFTER

    public static final int PNG_FLAG_FILLER_AFTER

### PNG_FLAG_CRC_ANCILLARY_USE

    public static final int PNG_FLAG_CRC_ANCILLARY_USE

### PNG_FLAG_CRC_ANCILLARY_NOWARN

    public static final int PNG_FLAG_CRC_ANCILLARY_NOWARN

### PNG_FLAG_CRC_CRITICAL_USE

    public static final int PNG_FLAG_CRC_CRITICAL_USE

### PNG_FLAG_CRC_CRITICAL_IGNORE

    public static final int PNG_FLAG_CRC_CRITICAL_IGNORE

### PNG_FLAG_FREE_PALETTE

    public static final int PNG_FLAG_FREE_PALETTE

### PNG_FLAG_FREE_TRANS

    public static final int PNG_FLAG_FREE_TRANS

### PNG_FLAG_FREE_HIST

    public static final int PNG_FLAG_FREE_HIST

### PNG_FLAG_HAVE_CHUNK_HEADER

    public static final int PNG_FLAG_HAVE_CHUNK_HEADER

### PNG_FLAG_WROTE_tIME

    public static final int PNG_FLAG_WROTE_tIME

### PNG_FLAG_CRC_ANCILLARY_MASK

    public static final int PNG_FLAG_CRC_ANCILLARY_MASK

### PNG_FLAG_CRC_CRITICAL_MASK

    public static final int PNG_FLAG_CRC_CRITICAL_MASK

### PNG_FLAG_CRC_MASK

    public static final int PNG_FLAG_CRC_MASK

### png_IHDR

    public static final byte[] png_IHDR

  constant strings for known chunk types.

### png_IHDR_len

    public static final int png_IHDR_len

### png_IDAT

    public static final byte[] png_IDAT

### png_IEND

    public static final byte[] png_IEND

### png_PLTE

    public static final byte[] png_PLTE

### png_bKGD

    public static final byte[] png_bKGD

### png_cHRM

    public static final byte[] png_cHRM

### png_gAMA

    public static final byte[] png_gAMA

### png_hIST

    public static final byte[] png_hIST

### png_oFFs

    public static final byte[] png_oFFs

### png_pCAL

    public static final byte[] png_pCAL

### png_pHYs

    public static final byte[] png_pHYs

### png_sBIT

    public static final byte[] png_sBIT

### png_tEXt

    public static final byte[] png_tEXt

### png_tIME

    public static final byte[] png_tIME

### png_tRNS

    public static final byte[] png_tRNS

### png_zTXt

    public static final byte[] png_zTXt

### PNG_ZBUF_SIZE

    public static final int PNG_ZBUF_SIZE

  This is the size of the compression buffer, and thus the size of an IDAT chunk. Make this whatever size you feel is best for your machine. One of these will be allocated per png_struct. When this is full, it writes the data to the disk, and does some other calculations. Making this an extreamly small size will slow the library down, but you may want to experiment to determine where it becomes significant, if you are concerned with memory usage. Note that zlib allocates at least 32Kb also. For readers, this describes the size of the buffer available to read the data in. Unless this gets smaller then the size of a row (compressed), it should not make much difference how big this is.

### MAX_PALETTE

    public static final int MAX_PALETTE

  The maximum number of colors in a color palette.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD